import checkMarkerInSeries from "./checkMarkerInSeries.mjs";
import MarkAreaModel from "./MarkAreaModel.mjs";
import MarkAreaView from "./MarkAreaView.mjs";
function install(registers) {
  registers.registerComponentModel(MarkAreaModel);
  registers.registerComponentView(MarkAreaView);
  registers.registerPreprocessor(function(opt) {
    if (checkMarkerInSeries(opt.series, "markArea")) {
      opt.markArea = opt.markArea || {};
    }
  });
}
export {
  install
};
